> For the complete documentation index, see [llms.txt](https://manual.personr.co/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://manual.personr.co/api-documentation/flow-logic/overview.md).

# Overview

Flow Logic allows you to ask custom questions, and display products and plans that clients can select from before or after verification.

You can choose to add logic to questions with our logic builder - only displaying them when certain products are selected or an answer to a previous question matches what you expect.

When adding Flow Logic to a flow, you can choose to add any or all of the following Logic Blocks:

* Products & Plans

  *Let your clients select from the products and plans you offer. Receive the answers via API or view in their profile.*
* Questions

  *Ask your clients questions during onboarding, and even follow-up dynamic questions if their answer matches what you expect. Receive the answers via API or view in their profile.*

{% hint style="info" %}
Flow Logic is currently only available on entity verification flows.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://manual.personr.co/api-documentation/flow-logic/overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
